// To parse this JSON data, do
//
//     final memoranda = memorandaFromJson(jsonString);

import 'dart:convert';

Memoranda memorandaFromJson(String str) => Memoranda.fromJson(json.decode(str));

String memorandaToJson(Memoranda data) => json.encode(data.toJson());

class Memoranda {
  final int? id;
  final String? code;
  final String? memoranda;
  final String? genCode;

  Memoranda({
    this.id,
    this.code,
    this.memoranda,
    this.genCode,
  });

  Memoranda copy({
    int? id,
    String? code,
    String? memoranda,
    String? genCode,
  }) {
    return Memoranda(
        id: id ?? this.id,
        code: code ?? this.code,
        memoranda: memoranda ?? this.memoranda,
        genCode: genCode ?? this.genCode);
  }

  factory Memoranda.fromJson(Map<String, dynamic> json) => Memoranda(
      id: json["id"],
      code: json["code"],
      memoranda: json["memoranda"],
      genCode: json["gen_code"]);

  factory Memoranda.fromJson2(Map<String, dynamic> json) => Memoranda(
      id: json["id"],
      code: json["code"],
      memoranda: json["memoranda"],
      genCode: json["genCode"]);

  Map<String, dynamic> toJson() => {
        "id": id,
        "code": code,
        "memoranda": memoranda,
        "gen_code": genCode,
      };
}
